<template>
  <div class="population">
    <div class="title">
      <span>人口详情</span>
      <img src="../../../assets/img/zonlan (9).png" alt="" />
    </div>
    <div class="detail">
      <img src="../../../assets/img/zonlan (32).png" alt="" />
      <div class="data1">
        <span>87627人</span>
        <p>户籍人口</p>
      </div>
      <div class="data2">
        <span>87627人</span>
        <p>户籍人口</p>
      </div>
      <div class="data3">
        <span>87627人</span>
        <p>户籍人口</p>
      </div>
      <div class="data4">
        <span>87627人</span>
        <p>户籍人口</p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {};
  },
  //方法集合
  methods: {},
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.population {
  overflow: hidden;
  width: 100%;
  height: calc(33.33vh + 80px);
  box-sizing: border-box;

  .title {
    width: 100%;
    position: relative;
    img {
      width: 100%;
    }
    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }
  .detail {
    color: #fff;
    position: relative;
    img {
      display: block;
      margin: 0 auto;
      width: 75%;
    }
    .data1 {
      position: absolute;
      top: 26%;
      left: 0;
      font-size: 66px;
      font-family: Microsoft YaHei;
      font-weight: 400;
      color: #ffffff;
    }
    .data2 {
      position: absolute;
      top: 21%;
      right: 0%;
      font-size: 66px;
      font-family: Microsoft YaHei;
      font-weight: 400;
      color: #ffffff;
    }
    .data3 {
      position: absolute;
      bottom: 2%;
      left: 6%;
      font-size: 66px;
      font-family: Microsoft YaHei;
      font-weight: 400;
      color: #ffffff;
    }
    .data4 {
      position: absolute;
      bottom: 4%;
      right: 6%;
      font-size: 66px;
      font-family: Microsoft YaHei;
      font-weight: 400;
      color: #ffffff;
    }
  }
}

@media only screen and (max-width: 2560px) {
  .population {
    overflow: visible;
    .detail {
      .data1 {
        top: 28%;
        left: 6%;
      }
      .data2 {
        top: 25%;
        right: 6%;
      }
      .data3 {
        bottom: 9%;
        left: 13%;
      }
      .data4 {
        bottom: 11%;
        right: 13%;
      }
    }
  }
}
</style>
